<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetPOIResult_V2 StructType
 * @subpackage Structs
 */
class GetPOIResult_V2 extends ExecutionResult
{
    /**
     * The POIs
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfPOIResult_V2
     */
    public $POIs;
    /**
     * Constructor method for GetPOIResult_V2
     * @uses GetPOIResult_V2::setPOIs()
     * @param \ArrayType\ArrayOfPOIResult_V2 $pOIs
     */
    public function __construct(\ArrayType\ArrayOfPOIResult_V2 $pOIs = null)
    {
        $this
            ->setPOIs($pOIs);
    }
    /**
     * Get POIs value
     * @return \ArrayType\ArrayOfPOIResult_V2|null
     */
    public function getPOIs()
    {
        return $this->POIs;
    }
    /**
     * Set POIs value
     * @param \ArrayType\ArrayOfPOIResult_V2 $pOIs
     * @return \StructType\GetPOIResult_V2
     */
    public function setPOIs(\ArrayType\ArrayOfPOIResult_V2 $pOIs = null)
    {
        $this->POIs = $pOIs;
        return $this;
    }
}
